realtimebattle(6)

NAME
RealTimeBattle - a robot programming game

SYNOPSIS
realtimebattle [-n|-c|-d|-D debug-level] [-g] [-o option-file] [-l logfile] [-t tournament-file] [-s statistics-file] [-p port-number]
realtimebattle --replay logfile [-p port-number]
realtimebattle -h | --help
realtimebattle -v | --version

DESCRIPTION
RealTimeBattle is a programming game, in which robots controlled by programs compete against each other. The goal is to destroy the enemies, using the radar to examine the environment and the cannon to shoot.

Even though the environment the robots are moving in is fairly simple, it is far from easy to construct an intelligent robot-program. RealTimeBattle is constructed to be easy to use, flexible and fast. The intention is that the program could be used for learning programming languages, as a test for intelligent algorithms or just as a game to play and enjoy.

Here is a list of features of RealTimeBattle:

•   Game progresses in real time, with the robot programs running as child processes to RealTimeBattle.

•   The robots communicate with the main program using the standard input and output.

•   Robots can be constructed in almost any programming language.

•   Any number of robots can compete simultaneously if allowed by operating system and hardware.

•   A simple messaging language is used for communication, which makes it easy to start constructing robots.

•   Robots behave like a real physical object.

•   Own arenas can be created.

•   The simulation environment is highly configurable.

•   It is possible to connect external clients to the simulation server.

•   Basic team support is directly integrated in the game, sophisticated team play available due to team frameworks.

•   RealTimeBattle is distributed under the General Public License (GPL).

OPTIONS

--debug_mode, -d
    debug mode

--debug_level 0-5, -D 0-5
    sets the initial debug level. implies -d

--normal_mode, -n
    normal mode (default)

--competition_mode, -c
    competition mode

--no_graphics, -g
    no graphics will be displayed

--option_file file, -o file
    selects option-file (default: $HOME/.rtbrc)

--log_file file, -l file
    make log file, if 'file' is '-' the log is sent to STDOUT

--tournament_file file, -t file
    specify a tournament file to autostart a tournament

--statistics_file file, -s file
    file to print the statistics to when autostarting

--message_file file, -m file
    redirect messages to 'file'.
     '-' as 'file' is equivalent to STDOUT. If both log and messages are send to STDOUT, '-m' will be ignored

--replay file, -r file
    a log file to replay. if '-' is specified as file, input is taken from STDIN

--help, -h
    prints this message

--version, -v
    prints the version number

--port_number, -p
    specifies the port for remote clients (default is 32134) (only available if compiled with --enable-network)

EXAMPLES

realtimebattle
    Just start RealTimeBattle in normal mode with graphical user interface and listening for remote clients on port 32134 (if compiled with --enable-network).

realtimebattle -D 5
    Enable full debugging output. Note that this is also useful for debugging robots, because the debug level is sent to the robots as a game option.

realtimebattle -c -g -o option-file -t tournament-file -l logfile -s statistics-file
    A typical competition start of RealTimeBattle. There will be no graphical user interface and the results of the competion will be written to logfile and statistics-file.

FILES
/usr/share/doc/realtimebattle
/usr/lib/realtimebattle/Arenas
/usr/lib/realtimebattle/Robots
/usr/include/realtimebattle/Messagetypes.h

SEE ALSO
The full documentation for RealTimeBattle is maintained as an SGML manual and should have been installed together with the program in various formats. You may have a look at the project website, which also contains the documentation: http://realtimebattle.sourceforge.net/

MAINTAINER
The current maintainer of the RealTimeBattle project is Johannes Nicolai <jonico@users.sourceforge.net>. Feel free to contact him and the other developers at the source forge project page: http://sourceforge.net/projects/realtimebattle/

BUGS
If you find anything in this package which doesn't work, appears strange, is missing, is spellt wrong or is just confusing, don't hesitate to send in a bug report to the Sourceforge Bug Tracker at: http://sourceforge.net/tracker/?group_id=561

AUTHOR
This manual page was written by Falko Menge <fakko@users.sourceforge.net> and is part of RealTimeBattle.